Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler.idl.reflect
Interface idlValue

All Superinterfaces:
  idlObject

All Known Implementing Classes:
  IdlValue

public interface idlValue
extends idlObject

This interface is implemented by the IDL object that represents an IDL valuetype.

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:21 $
Author:
  Jerome Daniel

Method Summary
`idlValue` | `concrete()` Return the concrete inherited value
`idlValue` | `description()` Return the value description ( for forward value )
`idlValue[]` | `inheritance()` Return the inheritance list
`boolean` | `isAbstract()` Return TRUE is this value is abstract
`boolean` | `isCustom()` Return TRUE is this value is custom
`boolean` | `isForward()` Return TRUE is this value is forward
`boolean` | `isTruncatable()` Return TRUE is this value contains a truncatable clause into its inheritance list
`idlInterface[]` | `supported()` Return the supported interfaces

Methods inherited from interface org.openorb.compiler.idl.reflect.idlObject
`containsObject, content, filter, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included`

Method Detail

### isAbstract

    public boolean isAbstract()

  Return TRUE is this value is abstract

### isCustom

    public boolean isCustom()

  Return TRUE is this value is custom

### isForward

    public boolean isForward()

  Return TRUE is this value is forward

### description

    public idlValue description()

  Return the value description ( for forward value )

### isTruncatable

    public boolean isTruncatable()

  Return TRUE is this value contains a truncatable clause into its inheritance list

### concrete

    public idlValue concrete()

  Return the concrete inherited value

### inheritance

    public idlValue[] inheritance()

  Return the inheritance list

### supported

    public idlInterface[] supported()

  Return the supported interfaces

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD